aliens

Author Topic: Help with Area 51  (Read 345 times)

Offline Skullar

  • Sergeant
  • **
  • Posts: 30
  • Deranged Angry Mexican Nugget
    • View Profile
Help with Area 51
« on: July 22, 2021, 01:41:53 am »
Hello there, long time  8) so this afternoon I installed OXCE v7 in my Android tablet to have more XCOM in there, I'm trying to run the Area 51 mod but I have this error showing up :-\ :

Quote
[21-07-2021_14-28-57]   [INFO]   Loading rulesets...
[21-07-2021_14-29-02]   [ERROR]   Crossing the prime meridian in mission zones requires a different syntax, region: STR_SOUTH_ATLANTIC, zone: 1, area: 6, lonMin: 359.82, lonMax: 0.95
[21-07-2021_14-29-02]   [ERROR]     Wrong example: [350,   8, 20, 30]
[21-07-2021_14-29-02]   [ERROR]   Correct example: [350, 368, 20, 30]
[21-07-2021_14-29-04]   [WARN]   disabling mod with invalid ruleset: Area 51
[21-07-2021_14-29-04]   [ERROR]   failed to load 'Area 51'; mod disabled
Error for 'HYBRID_WEAPON': offset '-2' has incorrect value in set 'BIGOBS.PCK' at line 2103
[21-07-2021_14-29-04]   [INFO]   Found candidate method ID: 0x71562dcb98
[21-07-2021_14-29-04]   [INFO]   Returned to native code!

I tried to fix it myself but failed miserably, I looked up in the mod portal for a latest version but wasn't able to find any trace of this mod anywhere, and it's one of my favorites   :(  if anyone can help me or point me in the right direction with this one I would appreciate it a lot, thanks in advance  ;D

Offline The Martian

  • Colonel
  • ****
  • Posts: 471
  • "It implores you to listen to its arguments..."
    • View Profile
Re: Help with Area 51
« Reply #1 on: July 22, 2021, 04:34:26 am »
The last publicly distributed version I have is Area 51 V0.972.

Unfortunately the author has discontinued the mod.

I'll attach a patch I quickly wrote that 'should' allow it to run. (It seems to boot using it anyway.)

Let me know if that fixes it for you.

Here is the Patch:
Area51Patch V1-0.zip

Just make sure the patch is loaded below Area 51 in your mod load order.


Area 51 was a pretty good mod.
Spoiler:
Farthest I ever got was when the Phasers show up, those guys are tough.
« Last Edit: July 22, 2021, 03:28:09 pm by The Martian »

Offline Skullar

  • Sergeant
  • **
  • Posts: 30
  • Deranged Angry Mexican Nugget
    • View Profile
Re: Help with Area 51
« Reply #2 on: July 22, 2021, 05:18:47 am »
The last publicly distributed version I have is Area 51 V0.972.

Unfortunately the author has discontinued the mod.

I'll attach both the Area 51 V0-972 mod to this post and also a patch I quickly wrote that 'should' allow it to run. (It seems to boot using it anyway.)

Let me know if that fixes it for you.

Here is the Patch:
Edit by Meridian: removed

Just make sure the patch is loaded below Area 51 in your mod load order.

Here is Area 51 V0-972:
Edit by Meridian: removed

Wow a thousand thanks! I have v0-963 of the mod so it's very welcome
many many thanks 👐🍺 I'm going to check if it works 👍

Area 51 was a pretty good mod.
Spoiler:
Farthest I ever got was when the Phasers show up, those guys are tough.


It is a pretty good mod indeed 😎 can't play without it 👍
« Last Edit: July 22, 2021, 10:26:51 am by Meridian »

Offline Meridian

  • Global Moderator
  • Commander
  • *****
  • Posts: 6910
  • OXCE developer
    • View Profile
    • My Wiki
Re: Help with Area 51
« Reply #3 on: July 22, 2021, 10:29:54 am »
The author explicitly asked that the mod is not publicly redistributed on the forum, mod portal, etc.

Please respect that and don't upload the mod here!!